repo/gentoo:master commit in: app-admin/awscli/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785991192.d2ce9796d3f1499faf5c2825c323195e6bca4f14.mgorny@gentoo> |
commit: d2ce9796d3f1499faf5c2825c323195e6bca4f14
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 6 04:39:52 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 6 04:39:52 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2ce9796
app-admin/awscli: Bump to 1.46.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-admin/awscli/Manifest | 1 +
app-admin/awscli/awscli-1.46.0.ebuild | 92 +++++++++++++++++++++++++++++++++++
2 files changed, 93 insertions(+)
diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 9902173247d4..1ab1a5b983a9 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -8,3 +8,4 @@ DIST aws-cli-1.45.61.gh.tar.gz 3209884 BLAKE2B a2e21cfe74e44cf9f51a8a79ebad5ee00
DIST aws-cli-1.45.62.gh.tar.gz 3211031 BLAKE2B 257686a87377966a530fd8d6b4c93839ecdc0fcf7ccdacc3dc4c4c7f6c3a81072beaef631dce60e9d5b13a525c53593dada7092b12d7e6b6de1a93b6a4cb3a59 SHA512 2fc179e5834e1b9dd6d36b44a9d96d7102a106676cc9ca3654859a8d93f51caee6ad05df6f5f75f0854e84342b3b5d3221555958e8c62606e603765fddd40ef3
DIST aws-cli-1.45.63.gh.tar.gz 3211646 BLAKE2B 450bccef65e2b6340a7ee234b85e1afe223a51285c54a4b1ae9c44b92e817f7565fc0d566bd32e94217537533338b6f2880fb6d30c03b734269b2384561e5b47 SHA512 a2d4398fef6202b7b56cc055c6284115b0dba620ce5fe4989b5e6dc34878f187ea82f3844cb20703695e7e35542775ab3050111119b53e14dad7a75ff7ae4a49
DIST aws-cli-1.45.64.gh.tar.gz 3212607 BLAKE2B aa0ea910c6fd50f1af7015f5d4e61f56beb15e0cbf7aec1983fd44b9118dc86c9aeb89d0dc65914b67b2f8656a73a007ff23ff5b3f2669497b8145b8f26e5a53 SHA512 fec1359c4f1d81517b5397190d48e95651cd7a4ba1c3cbf1d36e111e41e2aae5904631a97d64d6232081ff215a262b7de43b2fbb7109e27f2cd8503aea4e1b1d
+DIST aws-cli-1.46.0.gh.tar.gz 19210830 BLAKE2B 8cab4c9027561c5c9711296a5da3aad749ee30f14d8fec13da8f880bcc4f8a1fd97c2ed255fe74eb8ee12e9a59dfb2319db113efd047cbf5f89205ecdd6ab933 SHA512 0381958389f580ab6536468343da16582342af38faf3439ac5a29865a6652c3434826df587793fdf07736a6e0c37ae9f8598475be77abe8e93f73e35baff76dc
diff --git a/app-admin/awscli/awscli-1.46.0.ebuild b/app-admin/awscli/awscli-1.46.0.ebuild
new file mode 100644
index 000000000000..0f68def4dd0f
--- /dev/null
+++ b/app-admin/awscli/awscli-1.46.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 shell-completion
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+ https://github.com/aws/aws-cli/
+ https://pypi.org/project/awscli/
+"
+SRC_URI="
+ https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# technically they bundle an older version but let's keep it in sync
+# with the latest, just in case
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) - 3)).$(( $(ver_cut 3) + 65 ))"
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.18.0[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ !app-admin/awscli-bin
+"
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-forked )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # remove bundled botocore and s3transfer
+ # TODO: bcdoc?
+ rm -r {awscli,tests/{functional,unit}}/{botocore,s3transfer} || die
+ # strip overzealous upper bounds on requirements
+ sed -i -e 's:,<[=0-9.]*::' -e 's:==:>=:' setup.py || die
+}
+
+python_test() {
+ local serial_tests=(
+ tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+ tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+ tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+ tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+ tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+ tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+ tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+ tests/unit/customizations/test_sessionmanager.py
+ tests/unit/test_compat.py::TestIgnoreUserSignals
+ tests/unit/test_help.py
+ tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+ )
+ EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+ local EPYTEST_DESELECT=(
+ "${serial_tests[@]}"
+
+ # flaky (some ordering?)
+ tests/functional/s3/test_cp_command.py::TestCPCommand::test_multipart_upload_with_checksum_algorithm_crc32
+ )
+ # integration tests require AWS credentials and Internet access
+ epytest tests/{functional,unit}
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+ newzshcomp bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
+}